%define version 3.1.1
%define rel	 2
%define release %mkrel %{rel}

Summary:	Console frontend for CD rippers and audio encoders
Name:		jack
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://www.home.unix-ag.org/arne/jack/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	%{name}-%{version}.tar.bz2

BuildRequires:	python-devel
BuildRequires:	python-ID3 
BuildRequires:	python-CDDB
BuildRequires:	pyid3lib
BuildRequires:	pyvorbis >= 1.0
BuildRequires:	ncurses-devel
Requires:	python-ID3
Requires:	python-CDDB
Requires:	vorbis-tools 
Requires:	pyid3lib
Requires:	pyvorbis >= 1.0
Requires:	cdparanoia

%description
Jack has been developed with one main goal: ripping CDs without having
to worry. There is nearly no way that an incomplete rip goes
unnoticed, e.g. jack compares WAV and MP3/Vorbis filesizes when continuing
from a previous run. Jack also checks your HD space before doing
anything (even keeps some MB free).

%prep
%setup -q

%build
python setup.py build
python -c "import jack_CDTime"
python -c "import jack_misc"
python -c "import jack_mp3"
python -c "import jack_TOCentry"
python -c "import jack_TOC"

%install
rm -rf %{buildroot}
python setup.py install --root %{buildroot}
install -D -m 755 jack %{buildroot}%{_bindir}/jack
install -D -m 644 jack.man %{buildroot}%{_mandir}/man1/jack.1
cp jack_* %{buildroot}%{_libdir}/python%{pyver}/site-packages/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/* README
%{_bindir}/jack
%{_libdir}/python%{pyver}/site-packages/*
%{_mandir}/man?/*

%changelog
* Thu Jul 28 2005 Eskild Hustvedt <eskild@mandriva.org> 3.1.1-2mdk
- %%mkrel
- Add require for cdparanoia
- Minor changes to the description

* Fri Apr 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 3.1.1-1mdk
- fix installation
- New release 3.1.1

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 3.0.0-3mdk
- Rebuild for new python

* Fri Dec  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.0.0-2mdk
- use pyver macro

* Tue Nov 25 2003 Abel Cheung <deaddog@deaddog.org> 3.0.0-1mdk
- 3.0.0

* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-4mdk
- drop prefix
- new python

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-3mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-2mdk
- rebuild

* Wed Oct 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-1mdk
- require vorbis wrapper version 1.0
- 2.99.9

* Mon Jul  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.8-4mdk
- require pyvorbis for tagging of ogg files
- require oggenc to work out of the box

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-3mdk
- plf => mdk (sorry Goetz)
- add desc it support ogg.

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-1plf
- mdk => plf

* Wed Jun 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-2mdk
- Fix buildrequires on python (<= not =)

* Tue Apr 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.8-1mdk
- 2.99.8
- remove patch

* Thu Feb  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-3mdk
- add a fix from cvs for a bug affecting oggenc

* Sun Jan  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-2mdk
- python 2.2
- updated BuildRequires

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-1mdk
- initial package
